brushless15 2.0.0.0

Data Fields
brushless15_t Struct Reference

Brushless 15 Click driver selector. More...

`#include <brushless15.h>`

## Data Fields
digital_out_t | dir
digital_out_t | en
digital_in_t | int_pin
pwm_t | pwm
uint32_t | pwm_freq

## Detailed Description

Brushless 15 Click driver selector.

Selects target driver interface of Brushless 15 Click driver.

Brushless 15 Click context object. Context object definition of Brushless 15 Click driver.

## Field Documentation

## ◆ dir

digital_out_t dir

Direction control pin.

## ◆ en

digital_out_t en

Active-low enable pin.

## ◆ int_pin

digital_in_t int_pin

Rotation signal interrupt pin.

## ◆ pwm

pwm_t pwm

PWM driver object.

## ◆ pwm_freq

uint32_t pwm_freq

PWM frequency value.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/brushless15/lib_brushless15/include/brushless15.h